# Uses of Interface
org.apache.lucene.queries.intervals.IntervalMatchesIterator

Packages that use IntervalMatchesIterator
Package
Description
org.apache.lucene.queries.intervals
Intervals queries

- ## Uses of IntervalMatchesIterator in org.apache.lucene.queries.intervals

  Methods in org.apache.lucene.queries.intervals that return IntervalMatchesIterator
  Modifier and Type
  Method
  Description
  `IntervalMatchesIterator`
  FilteredIntervalsSource.`matches(String field, LeafReaderContext ctx, int doc)`
  `abstract IntervalMatchesIterator`
  IntervalsSource.`matches(String field, LeafReaderContext ctx, int doc)`
  Return a `MatchesIterator` over the intervals defined by this `IntervalsSource` for a given document and field